﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class IntroManager : MonoBehaviour {

	public string[] Texts;
	public Text textComp;

	public float timeBetweenTexts;
	float timeUntilNextText;
	int currentText = 0;
	void Start()
	{
		timeUntilNextText = timeBetweenTexts;
		textComp.text = Texts [0];
	}
	// Update is called once per frame
	void Update () {
        if (Input.GetMouseButtonDown(0)) {
            SceneManager.LoadScene("InGame");
            return;
        }

		timeUntilNextText -= Time.deltaTime;
		if (timeUntilNextText <= 0) {
			currentText++;
			if (currentText < Texts.Length) {
				
				textComp.text = Texts [currentText];
				timeUntilNextText = timeBetweenTexts;
			} else {
				SceneManager.LoadScene("InGame");
			}
		}
	}
}
