﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SoundManager : MonoBehaviour {

	public AudioClip uiTileSelect;
	public AudioClip placeTile;
	public AudioClip waveHits;
	public AudioClip waveStarts;
	public AudioClip tileClick;
	public AudioClip sellTile;
	public AudioClip canonShoots;
	public AudioClip gunShoots;
	public AudioClip canonHits;
	public AudioClip gunHits;
	public AudioClip enemySpawns;
	public AudioClip enemyDies;
	public AudioClip enemyHitsCity;

	public AudioSource audio;

	public void playAudioClip (AudioClip soundeffect) {
		audio.PlayOneShot (soundeffect);
	}

    public static void PlaySound(string clip) {
        AudioSource.PlayClipAtPoint(Resources.Load<AudioClip>("Audio/" + clip), Camera.main.transform.position);
    }
}
