﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class InGameMenuManager : MonoBehaviour {

	public static InGameMenuManager Instance { get; private set; }

	public GameObject gameOverPanel;

	void Awake()
	{
		Instance = this;
	}

	public void OpenGameOver()
	{
        if (!gameOverPanel.gameObject.activeInHierarchy) {
            BuildController.instance.GameOverMusic();
            gameOverPanel.SetActive(true);
        }
	}

	public void GoToMainMenu()
	{
		SceneManager.LoadScene ("Main Menu");
	}

	public void RestartScene()
	{
		SceneManager.LoadScene (SceneManager.GetActiveScene ().buildIndex);
	}

		
}
