﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SewegeSystemController : TileObject {

	public float power;
	public float time;
	public float cooldown = 30f;
	public bool ready = true;

	public GameObject activationbutton;

	public void Activate(){
		if (ready) {
			//BuildController.instance.GetI (this.gameObject);
			BuildController.instance.ActivateSewer (this.gameObject, power, time);
			ready = false;
			activationbutton.SetActive(false);
			StartCoroutine ("waitforcooldown");
		}
	}

	IEnumerator waitforcooldown(){
		yield return new WaitForSeconds (cooldown);
		ready = true;
		activationbutton.SetActive (true);
	}


}
