﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WaveSpeedRandomizer : MonoBehaviour {

	public float minspeed = 1f, maxspeed = 1.5f;
	public float mintime = 1f, maxtime = 1.5f;
	public Animator anim;
	void Start () {
		StartNewCycle ();
	}
	
	IEnumerator delayRandomChange(float time){
		yield return new WaitForSeconds(time);
		StartNewCycle ();
	}

	void StartNewCycle(){
		anim.speed = Random.Range (minspeed, maxspeed);
		StartCoroutine ("delayRandomChange", Random.Range(mintime, maxtime));
	}
}
